Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.io.sstable
Enum Descriptor.TempState

    java.lang.Object
      java.lang.Enum<Descriptor.TempState>
          org.apache.cassandra.io.sstable.Descriptor.TempState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Descriptor.TempState>

Enclosing class:
  Descriptor

    public static enum Descriptor.TempState

extends java.lang.Enum<Descriptor.TempState>

Enum Constant Summary
`ANY`
`LIVE`
`TEMP`

Method Summary
`static Descriptor.TempState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Descriptor.TempState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIVE

    public static final Descriptor.TempState LIVE

### TEMP

    public static final Descriptor.TempState TEMP

### ANY

    public static final Descriptor.TempState ANY

Method Detail

### values

    public static Descriptor.TempState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Descriptor.TempState c : Descriptor.TempState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Descriptor.TempState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Apache Software Foundation